using System;
using Server;

namespace Server.Items
{
	[Furniture]
	public class IronCandelabra : BaseLight
	{
		public override int LitItemID{ get { return 0x0702; } }
		public override int UnlitItemID{ get { return 0x0701; } }

		[Constructable]
		public IronCandelabra() : base( 0x0701 )
		{
			Name = "candelbra";
			Duration = TimeSpan.Zero;
			Burning = false;
			Light = LightType.Circle225;
			Weight = 3.0;
		}

		public IronCandelabra( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 1 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}